package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 拼团订单关联对象 mall_combine_order_link
 *
 * @author ruoyi
 * @date 2024-03-21
 */
public class MallCombineOrderLink extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 拼团订单关联主键ID */
    private Long linkId;

    /** 上级ID */
    @Excel(name = "上级ID")
    private Long parentId;

    /** 拼团团队ID */
    @Excel(name = "拼团团队ID")
    private Long teamId;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNo;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long userId;

    /** 会员名 */
    @Excel(name = "会员名")
    private String userName;

    /** 会员头像 */
    @Excel(name = "会员头像")
    private String avatar;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long goodsId;

    /** 拼团商品ID */
    @Excel(name = "拼团商品ID")
    private Long combineId;

    /** 商品拼团所需人数 */
    @Excel(name = "商品拼团所需人数")
    private Integer peopleNum;

    /** 拼团结束时间（分钟） */
    @Excel(name = "拼团结束时间", readConverterExp = "分=钟")
    private Integer endMinute;

    /** 时间ID */
    @Excel(name = "时间ID")
    private Long timeId;

    /** 开始时间 */
    @Excel(name = "开始时间")
    private String startTime;

    /** 结束时间 */
    @Excel(name = "结束时间")
    private String endTime;

    /** 状态：0-待拼团，1-已拼团，2-已失效 */
    @Excel(name = "状态：0-待拼团，1-已拼团，2-已失效")
    private Integer status;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记 */
    private Integer delFlag;

    public void setLinkId(Long linkId)
    {
        this.linkId = linkId;
    }

    public Long getLinkId()
    {
        return linkId;
    }
    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }

    public Long getParentId()
    {
        return parentId;
    }
    public void setTeamId(Long teamId)
    {
        this.teamId = teamId;
    }

    public Long getTeamId()
    {
        return teamId;
    }
    public void setOrderId(Long orderId)
    {
        this.orderId = orderId;
    }

    public Long getOrderId()
    {
        return orderId;
    }
    public void setOrderNo(String orderNo)
    {
        this.orderNo = orderNo;
    }

    public String getOrderNo()
    {
        return orderNo;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setAvatar(String avatar)
    {
        this.avatar = avatar;
    }

    public String getAvatar()
    {
        return avatar;
    }
    public void setGoodsId(Long goodsId)
    {
        this.goodsId = goodsId;
    }

    public Long getGoodsId()
    {
        return goodsId;
    }
    public void setCombineId(Long combineId)
    {
        this.combineId = combineId;
    }

    public Long getCombineId()
    {
        return combineId;
    }
    public void setPeopleNum(Integer peopleNum)
    {
        this.peopleNum = peopleNum;
    }

    public Integer getPeopleNum()
    {
        return peopleNum;
    }
    public void setEndMinute(Integer endMinute)
    {
        this.endMinute = endMinute;
    }

    public Integer getEndMinute()
    {
        return endMinute;
    }
    public void setTimeId(Long timeId)
    {
        this.timeId = timeId;
    }

    public Long getTimeId()
    {
        return timeId;
    }
    public void setStartTime(String startTime)
    {
        this.startTime = startTime;
    }

    public String getStartTime()
    {
        return startTime;
    }
    public void setEndTime(String endTime)
    {
        this.endTime = endTime;
    }

    public String getEndTime()
    {
        return endTime;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("linkId", getLinkId())
            .append("parentId", getParentId())
            .append("teamId", getTeamId())
            .append("orderId", getOrderId())
            .append("orderNo", getOrderNo())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("avatar", getAvatar())
            .append("goodsId", getGoodsId())
            .append("combineId", getCombineId())
            .append("peopleNum", getPeopleNum())
            .append("endMinute", getEndMinute())
            .append("timeId", getTimeId())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("status", getStatus())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
